Name:           python-ptf
Version:        0.10.0
Release:        1%{?dist}
Summary:        The P4 Testing Framework

License:        Apache-2.0
URL:            https://github.com/p4lang/ptf
Source0:        https://files.pythonhosted.org/packages/source/p/ptf/ptf-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel

%global _description %{expand:
PTF is a Python based dataplane test framework. It is based on unittest,
which is included in the standard Python distribution.}

%description %_description

%package -n     python3-ptf
Summary:        %{summary}

%description -n python3-ptf %_description


%prep
%autosetup -p1 -n ptf-%{version}

sed -i '2i version = %{version}' setup.cfg
sed -i '/setuptools_scm/d' setup.cfg

%build
%py3_build

%install
%py3_install

%files  -n python3-ptf
%license LICENSE LICENSE.OFTest
%doc README.md NOTICE
%{_bindir}/ptf
%{_bindir}/ptf_nn_agent.py
%{python3_sitelib}/ptf
%{python3_sitelib}/ptf*.egg-info

%changelog
